Debian Bug report logs - #717258
olap4j: FTBFS with Java7

version graph

Package: olap4j; Maintainer for olap4j is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Thu, 18 Jul 2013 13:03:07 UTC

Severity: serious

Tags: jessie, sid

Found in version 1.0.1.500-1

Fixed in version olap4j/1.0.1.500-2

Done: ShuxiongYe <yeshuxiong@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Damien Raude-Morvan <drazzib@debian.org>:
Bug#717258; Package olap4j. (Thu, 18 Jul 2013 13:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Damien Raude-Morvan <drazzib@debian.org>. (Thu, 18 Jul 2013 13:03:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: olap4j: FTBFS with Java7
Date: Thu, 18 Jul 2013 21:00:13 +0800
[Message part 1 (text/plain, inline)]
Package: olap4j
Version: 1.0.1.500-1
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

compile.compile:
    [javac] /tmp/buildd/olap4j-1.0.1.500/build.xml:352: warning:
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set
to false for repeatable builds
    [javac] Compiling 181 source files to
/tmp/buildd/olap4j-1.0.1.500/bin/classes
    [javac]
/tmp/buildd/olap4j-1.0.1.500/src/org/olap4j/metadata/XmlaConstants.java:270:
error: unmappable character for encoding ASCII
    [javac]             + "unrelated to the measure???s measure group."),
    [javac]                                        ^
    [javac]
/tmp/buildd/olap4j-1.0.1.500/src/org/olap4j/metadata/XmlaConstants.java:270:
error: unmappable character for encoding ASCII
    [javac]             + "unrelated to the measure???s measure group."),
    [javac]                                         ^
    [javac]
/tmp/buildd/olap4j-1.0.1.500/src/org/olap4j/metadata/XmlaConstants.java:270:
error: unmappable character for encoding ASCII
    [javac]             + "unrelated to the measure???s measure group."),
    [javac]                                          ^
    [javac] 3 errors

BUILD FAILED
/tmp/buildd/olap4j-1.0.1.500/build.xml:352: Compile failed; see the
compiler error output for details.


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[olap4j-openjdk-7-log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Damien Raude-Morvan <drazzib@debian.org>:
Bug#717258; Package olap4j. (Thu, 18 Jul 2013 20:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Damien Raude-Morvan <drazzib@debian.org>. (Thu, 18 Jul 2013 20:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 717258@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 717258@bugs.debian.org
Subject: Patch for this bug
Date: Fri, 19 Jul 2013 03:58:55 +0800
[Message part 1 (text/plain, inline)]
Hi, I write a patch for this bug. Please consider it.

-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[olap4j_1.0.1.500-1.1.debdiff (application/octet-stream, attachment)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 19 Jul 2013 09:21:19 GMT) Full text and rfc822 format available.

Reply sent to ShuxiongYe <yeshuxiong@gmail.com>:
You have taken responsibility. (Tue, 30 Jul 2013 09:06:27 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 09:06:27 GMT) Full text and rfc822 format available.

Message #17 received at 717258-close@bugs.debian.org (full text, mbox):

From: ShuxiongYe <yeshuxiong@gmail.com>
To: 717258-close@bugs.debian.org
Subject: Bug#717258: fixed in olap4j 1.0.1.500-2
Date: Tue, 30 Jul 2013 09:05:00 +0000
Source: olap4j
Source-Version: 1.0.1.500-2

We believe that the bug you reported is fixed in the latest version of
olap4j, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717258@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
ShuxiongYe <yeshuxiong@gmail.com> (supplier of updated olap4j package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Jul 2013 03:39:47 +0800
Source: olap4j
Binary: libolap4j-java libolap4j-java-doc
Architecture: source all
Version: 1.0.1.500-2
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: ShuxiongYe <yeshuxiong@gmail.com>
Description: 
 libolap4j-java - unified Java API to access an OLAP server
 libolap4j-java-doc - unified Java API to access an OLAP server - documentation
Closes: 717258
Changes: 
 olap4j (1.0.1.500-2) unstable; urgency=low
 .
   * Team upload.
   * Compatible with java7: unmappable character for encoding ASCII
     (Closes: #717258)
 .
   [ Sylvestre Ledru ]
   * Change the maintainer for the Java team.
   * Standards-Version updated to 3.9.4
Checksums-Sha1: 
 a7f45dcea9d83cb69a07cad6dde6cc11b934a84b 1530 olap4j_1.0.1.500-2.dsc
 8cfab1e3db920c230be00f55a3fe3834611af154 8995 olap4j_1.0.1.500-2.debian.tar.gz
 5cf8e3e44ffd795c28b64add6cba14848ae7dbac 569602 libolap4j-java_1.0.1.500-2_all.deb
 34affb72548976c72ab8267aab69c510d13fa68b 287702 libolap4j-java-doc_1.0.1.500-2_all.deb
Checksums-Sha256: 
 7a0e9049142f6b61115b35d5202366d9d0741562ad0434b77d3e5d54d2693ca0 1530 olap4j_1.0.1.500-2.dsc
 da9db1926ee188a2d02d559c270878379ad7fe7f178ad173ee8f30a6a7dab175 8995 olap4j_1.0.1.500-2.debian.tar.gz
 b71ebc4addc5f931d059a86e2a5ffe7b85ab4e218bc0a1a052e027f8ad9c3240 569602 libolap4j-java_1.0.1.500-2_all.deb
 f1588cf7b9d544e620c72284500eb60cb0243acb7f496fb9adb1377bb908a5c0 287702 libolap4j-java-doc_1.0.1.500-2_all.deb
Files: 
 30d8e7eb55f8c506afc52c0baa179aa5 1530 java optional olap4j_1.0.1.500-2.dsc
 434b18a03786efe5e187690962540caa 8995 java optional olap4j_1.0.1.500-2.debian.tar.gz
 3c8dcb3c354db3291e85e45257c3898c 569602 java optional libolap4j-java_1.0.1.500-2_all.deb
 095b3310fd0bee2103796f5d9f5f970b 287702 doc optional libolap4j-java-doc_1.0.1.500-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlH3cqsACgkQiOXXM92JlhC06wCfePfPCUFmHTjC7qhyRfyvyYJJ
zsMAoJIJet6WXZ0O2t/2eGwtQGlTLMBL
=e01B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:32:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:47:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.